<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
                xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"
                xmlns:medcom="http://www.medcom.dk/dgws/2006/04/dgws-1.0.xsd"
                xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
    <xsl:output method="xml" indent="yes"/>
    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="xs:schema">
        <xsl:copy-of select="."/>

        <xs:schema targetNamespace="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">
            <xs:include schemaLocation="../../xsd/dgws/wsse.xsd" />
        </xs:schema>
        <xs:schema targetNamespace="urn:oasis:names:tc:SAML:2.0:assertion">
            <xs:include schemaLocation="../../xsd/dgws/saml.xsd" />
        </xs:schema>

        <xs:schema targetNamespace="http://www.medcom.dk/dgws/2006/04/dgws-1.0.xsd">
            <xs:include schemaLocation="../../xsd/dgws/medcom.xsd" />
        </xs:schema>
    </xsl:template>


    <xsl:template match="wsdl:portType">
        <soap:message name="SecurityHeader"><wsdl:part name="security_header" element="wsse:Security"/></soap:message>
        <soap:message name="MedcomHeader"><wsdl:part name="medcom_header" element="medcom:Header"/></soap:message>
        <soap:message name="DGWSFault"><wsdl:part name="DGWSFault" element="medcom:FaultCode"/></soap:message>

        <xsl:copy-of select="."/>
    </xsl:template>

    <xsl:template match="wsdl:input">
        <wsdl:input>
            <soap:header message="SecurityHeader" part="security_header" use="literal" />
            <soap:header message="MedcomHeader" part="medcom_header" use="literal" />
            <soap:body use="literal"/>
        </wsdl:input>
    </xsl:template>

    <xsl:template match="wsdl:output">
        <xsl:copy-of select="."/>

        <wsdl:fault name="DGWSFault"><soap:fault name="DGWSFault" use="literal"/></wsdl:fault>
    </xsl:template>
</xsl:stylesheet>