package dk.nsp.idsas.security.model;

public class IdsasActor {
    private final IdsasActorType actorType;
    private final String cvr;

    private final String clientSystemName;
    private final String clientKey;

    private IdsasActor(IdsasActorType actorType, String cvr, String clientSystemName, String clientKey) {
        this.actorType = actorType;
        this.cvr = cvr;
        this.clientSystemName = clientSystemName;
        this.clientKey = clientKey;
    }

    public static IdsasActor createSundhedsFaglig(String cvr) {
        return new IdsasActor(IdsasActorType.SUNDHEDSFAGLIG, cvr, "", "");
    }

    public static IdsasActor createSystem(String cvr, String clientSystemName, String clientKey) {
        return new IdsasActor(IdsasActorType.SYSTEM, cvr, clientSystemName, clientKey);
    }

    public IdsasActorType getActorType() {
        return actorType;
    }

    public String getCvr() {
        return cvr;
    }

    public String getClientSystemName() {
        return clientSystemName;
    }

    public String getClientKey() {
        return clientKey;
    }

    public enum IdsasActorType {
        SUNDHEDSFAGLIG("Sundhedsfaglig"),
        SYSTEM("System");
        private final String actorType;
        IdsasActorType(String actorType) {
            this.actorType = actorType;
        }
    }
}
