package dk.nsp.idsas.util.health;

import dk.nsp.idsas.dao.SaltDao;
import dk.nsp.idsas.util.JsonPair;
import org.apache.commons.httpclient.HttpStatus;

public class SaltHealthIndicator implements HealthIndicator {
    private final SaltDao saltDao;

    public SaltHealthIndicator(SaltDao saltDao) {
        this.saltDao = saltDao;
    }

    @Override
    public HealthIndication getHealthInfo() {
        try {
            saltDao.getLatestSalt();
            return new HealthIndication(HttpStatus.SC_OK, new JsonPair("Salt", "OK"));
        } catch (Exception e) {
            return new HealthIndication(HttpStatus.SC_SERVICE_UNAVAILABLE, new JsonPair("Salt", "Unavailable"));
        }
    }
}
