package dk.nsp.idsas.ws;

import dk.nsp.idsas.util.HealthReportGenerator;
import dk.nsp.idsas.util.health.HealthIndicator;
import org.springframework.beans.factory.annotation.Autowired;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class AbstractHealthServlet extends AbstractServlet {
	@Autowired(required = false)
	private List<HealthIndicator> healthIndicators = new ArrayList<>();

	@Override
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException {
		reportHealth(response);
	}

	private void reportHealth(HttpServletResponse response) throws IOException {
		response.setHeader("Content-Type", "application/json; charset=UTF-8");
		response.setCharacterEncoding("UTF-8");

		Integer status = HealthReportGenerator.generateStatus(healthIndicators);
		String result = HealthReportGenerator.generateResult(healthIndicators);

		response.getWriter().println(result);
		response.setStatus(status);
	}
}