package dk.nsp.idsas.test.setup;

import java.net.URI;

import dk.nsp.test.idp.builder.Builders;
import dk.nsp.test.idp.model.OrganizationIdentity;
import dk.nsp.test.idp.vault.RemoteCredentialVault;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

import static dk.nsp.test.idp.builder.Builders.*;

@Configuration
@PropertySource("${environment:local}" + ".properties")
public class TestSetup {
    public OrganizationIdentity testOrganisation98021838(String clientName) {
        return Builders.organizationIdentity()
                .representing(organization()
                        .named("Test organisation 98021838")
                        .identifiedBy("98021838"))
                .usedBy(serviceConsumer()
                        .named(clientName)
                        .identifiedBy(new RemoteCredentialVault(URI.create("https://www.nspop.dk/download/attachments/190481050/NSP_Test_Service_Consumer_testorg.p12"), "Test1234".toCharArray(), true)))
                .using(securityTokenService()
                        .at(URI.create("http://test1.ekstern-test.nspop.dk:8080/sts/services/NewSecurityTokenService")))
                .build();
    }

}
