package dk.nsp.idsas.test.stepdefinitions;

import java.io.IOException;

import dk.nsp.idsas.test.util.HttpClient;
import io.cucumber.java.en.And;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.springframework.beans.factory.annotation.Value;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

public class DksServletStepDefinitions {
    @Value("${idsas.service.endpoint}" + "/dksconfig")
    private String serviceEndpoint;

    @Value("${idsas.service-lookup.endpoint}" + "/dksconfig")
    private String lookupEndpoint;

    private int responseCode;
    private String responseBody;

    @When("svar hentes fra {string} dksServlet")
    public void svarHentesFraDksServlet(String service) throws IOException {
        String endpoint = serviceEndpoint;
        if (service.equals("idsas-lookup")) {
            endpoint = lookupEndpoint;
        }
        HttpClient httpClient = new HttpClient();
        responseBody = httpClient.get(endpoint);
        responseCode = httpClient.getResponseCode();
    }

    @Then("Returneres http kode {int} fra dksServlet")
    public void validateResponseCode(int expectedResponseCode) {
        assertEquals(expectedResponseCode, responseCode);
    }

    @And("Svaret fra dksServlet indeholder relevante oplysninger")
    public void svaretIndeholderRelevanteOplysninger() {
        assertTrue(responseBody.contains("<dksVersion>"));
        assertTrue(responseBody.contains("<operations>"));
        assertTrue(responseBody.contains("<action "));
        assertTrue(responseBody.contains("sundhedsdatastyrelsen"));
    }
}
