package dk.nsp.idsas.test.stepdefinitions;

import dk.nsp.idsas.test.util.HttpClient;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Value;

import java.io.IOException;

public class HealthStepDefinitions {
    @Value("${idsas.service.endpoint}" + "/status")
    private String serviceHealthEndpoint;

    @Value("${idsas.service-lookup.endpoint}" + "/status")
    private String lookupHealthEndpoint;

    @Value("${idsas.service-operations.endpoint}" + "/status")
    private String operationsHealthEndpoint;

    private int responseCode;

    @When("Jeg tjekker servicens health endpoint")
    public void jegTjekkerServicensHealthEndpoint() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(serviceHealthEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @When("Jeg tjekker lookup servicens health endpoint")
    public void jegTjekkerLookupServicensHealthEndpoint() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(lookupHealthEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @When("Jeg tjekker operations servicens health endpoint")
    public void jegTjekkerOperationsServicensHealthEndpoint() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(operationsHealthEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @Then("Så burde jeg få et {int} OK tilbage")
    public void såBurdeJegFåEtOKTilbage(int expectedResponseCode) {
        Assert.assertEquals(expectedResponseCode, responseCode);
    }
}
