package dk.nsp.idsas.util.health;

import dk.nsp.idsas.integrations.sores.SoresClient;
import dk.nsp.idsas.util.JsonPair;
import org.apache.commons.httpclient.HttpStatus;

public class SoresHealthIndicator implements HealthIndicator {

    private final SoresClient soresClient;
    private final int errorTolerance;

    public SoresHealthIndicator(SoresClient soresClient, int errorTolerance) {
        this.soresClient = soresClient;
        this.errorTolerance = errorTolerance;
    }

    @Override
    public HealthIndication getHealthInfo() {
        return soresClient.getErrorCount() > errorTolerance
                ? new HealthIndication(HttpStatus.SC_SERVICE_UNAVAILABLE, new JsonPair("SORES integration", "Unavailable"))
                : new HealthIndication(HttpStatus.SC_OK, new JsonPair("SORES integration", "OK"));
    }
}
