package dk.nsp.idsas.util.health;

import dk.nsp.idsas.integrations.personinformation.PersonInformationClient;
import org.junit.Test;
import org.mockito.Mockito;

import static org.junit.Assert.assertEquals;

public class PersonInformationHealthIndicatorTest {

    @Test
    public void healthIndicatorReturnsOK() {
        // Arrange
        PersonInformationClient client = Mockito.mock(PersonInformationClient.class);
        PersonInformationHealthIndicator personInformationHealthIndicator = new PersonInformationHealthIndicator(client, 0);

        // Act
        HealthIndication indication = personInformationHealthIndicator.getHealthInfo();

        // Assert
        assertEquals("\"Person information service integration\": \"OK\"", indication.getText());
    }

    @Test
    public void healthIndicatorReturnsNotOK() {
        // Arrange
        PersonInformationClient client = Mockito.mock(PersonInformationClient.class);
        Mockito.when(client.getErrorCount()).thenReturn(42);
        PersonInformationHealthIndicator soresHealthIndicator = new PersonInformationHealthIndicator(client, 0);

        // Act
        HealthIndication indication = soresHealthIndicator.getHealthInfo();

        // Assert
        assertEquals("\"Person information service integration\": \"Unavailable\"", indication.getText());
    }
}
