package dk.nsp.idsas.util.health;

import dk.nsp.idsas.integrations.sores.SoresClient;
import org.junit.Test;
import org.mockito.Mockito;

import static org.junit.Assert.assertEquals;

public class SoresHealthIndicatorTest {

    @Test
    public void healthIndicatorReturnsOK() {
        // Arrange
        SoresClient client = Mockito.mock(SoresClient.class);
        SoresHealthIndicator soresHealthIndicator = new SoresHealthIndicator(client, 0);

        // Act
        HealthIndication indication = soresHealthIndicator.getHealthInfo();

        // Assert
        assertEquals("\"SORES integration\": \"OK\"", indication.getText());
    }

    @Test
    public void healthIndicatorReturnsNotOK() {
        // Arrange
        SoresClient client = Mockito.mock(SoresClient.class);
        Mockito.when(client.getErrorCount()).thenReturn(42);
        SoresHealthIndicator soresHealthIndicator = new SoresHealthIndicator(client, 0);

        // Act
        HealthIndication indication = soresHealthIndicator.getHealthInfo();

        // Assert
        assertEquals("\"SORES integration\": \"Unavailable\"", indication.getText());
    }
}
